Subject: Offline Message from Keith Staudenmayer: Please contact me with the paperwork
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 22 Jun 2022 23:44:02 -0000

From: Keith Staudenmayer <[email-masked]>
Phone: 6787781800
Location: New York, United States
URL: https://swagtron.com/product/swagger-5-boost-electric-commuter-scooter/
Department: SwagTron

Please contact me with the paperwork or credit card info to where I can run my card and get 2 scooters.. I might buy 2 more but if all ur wanting me to do is buy more things before the scooters I’ll take my business elsewhere.. thanks.. not trying to be difficult but damn… I can’t scan past this note coming up to purchase something else before the scooter

----
Zopim
https://www.zopim.com